Summary: 	Mandriva Xfce Free configuration files
Name:    	xfce-config
Version: 	1.2
Release: 	%mkrel 2
Group:   	Graphical desktop/Xfce
License: 	GPL
URL:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
Source0: 	%{name}-%{version}.tar.bz2
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Configuration files for Mandriva Xfce desktop environment.

%package -n %{name}-Free
Summary: 	Mandriva Xfce Free configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-Free
Requires:	mandriva-theme
Requires:	mandriva-theme-screensaver
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-Free
Configuration files for Mandriva Free Xfce desktop environment.

%package -n %{name}-One
Summary: 	Mandriva Xfce One configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-One
Requires:	mandriva-theme-One
Requires:	mandriva-theme-One-screensaver
Conflicts:	%{name}-Free
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-One
Configuration files for Mandriva One Xfce desktop environment.

%package -n %{name}-Powerpack
Summary:	Mandriva Xfce Powerpack configuration files
Group:		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release-Powerpack
Requires:	mandriva-theme-Powerpack
Requires:	mandriva-theme-Powerpack-screensaver
Conflicts:	%{name}-One
Conflicts:	%{name}-Free
Provides:	%{name}

%description -n %{name}-Powerpack
Configuration files for Mandriva Powerpack Xfce desktop environment.

%prep
%setup -q

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/etc/X11/xdg
cp -r xfce4/ %{buildroot}/etc/X11/xdg/

%post -n %{name}-Free
if [ "$META_CLASS" == "download" ]; then
    XFCE_GTK_THEME="Ia Ora Free"
else
echo "This theme doesn't match Mandriva release."
fi
if [ -n "$XFCE_GTK_THEME" ]; then
    sed -i "s/\(name=\"Net\/ThemeName.*value=\)\".*\"\/>/\1\"$XFCE_GTK_THEME\"\/>/" /etc/X11/xdg/xfce4/mcs_settings/gtk.xml
fi

%post -n %{name}-One
if [ "$META_CLASS" == "desktop" ]; then
    XFCE_GTK_THEME="Ia Ora Orange"
else
echo "This theme doesn't match Mandriva release."
fi
if [ -n "$XFCE_GTK_THEME" ]; then
    sed -i "s/\(name=\"Net\/ThemeName.*value=\)\".*\"\/>/\1\"$XFCE_GTK_THEME\"\/>/" /etc/X11/xdg/xfce4/mcs_settings/gtk.xml
fi

%post -n %{name}-Powerpack
if [ "$META_CLASS" == "server" ]; then
    XFCE_GTK_THEME="Ia Ora Gray"
else
echo "This theme doesn't match Mandriva release."
fi
if [ -n "$XFCE_GTK_THEME" ]; then
    sed -i "s/\(name=\"Net\/ThemeName.*value=\)\".*\"\/>/\1\"$XFCE_GTK_THEME\"\/>/" /etc/X11/xdg/xfce4/mcs_settings/gtk.xml
fi

# (tpg) please keep file list synced with tarball

%files -n %{name}-Free
%defattr(644,root,root,755)
%dir %{_sysconfdir}/X11/xdg/xfce4/mcs_settings
%{_sysconfdir}/X11/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/gtk.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/shortcuts.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/wmtweaks.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/workspaces.xml
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796537200.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796547371.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/separator-11796494630.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/systray-4.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/xfce4-menu-5.rc
%{_sysconfdir}/X11/xdg/xfce4/volstatus/settings.rc

%files -n %{name}-One
%defattr(644,root,root,755)
%dir %{_sysconfdir}/X11/xdg/xfce4/mcs_settings
%{_sysconfdir}/X11/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/gtk.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/shortcuts.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/wmtweaks.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/workspaces.xml
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796537200.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796547371.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/separator-11796494630.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/systray-4.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/xfce4-menu-5.rc
%{_sysconfdir}/X11/xdg/xfce4/volstatus/settings.rc

%files -n %{name}-Powerpack
%defattr(644,root,root,755)
%dir %{_sysconfdir}/X11/xdg/xfce4/mcs_settings
%{_sysconfdir}/X11/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/gtk.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/shortcuts.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/wmtweaks.xml
%{_sysconfdir}/X11/xdg/xfce4/mcs_settings/workspaces.xml
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796537200.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/launcher-11796547371.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/separator-11796494630.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/systray-4.rc
%{_sysconfdir}/X11/xdg/xfce4/panel/xfce4-menu-5.rc
%{_sysconfdir}/X11/xdg/xfce4/volstatus/settings.rc


%changelog
* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2008.0
+ Revision: 44288
- add correct tarball
- fix file list

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2008.0
+ Revision: 44133
- new version
  o add autostart andl volstatus files
- o add Xfce panel configuration files

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-2mdv2008.0
+ Revision: 41743
- add conflicts and provides

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.0
+ Revision: 40917
- xfce-config holds Xfce configuration for Mandriva flavours
- Import xfce-config

